Search documentation of ash

# Ash.Policy.Policy (ash v3.4.71)

View Source

Represents a policy on an Ash.Resource

# Summary

## Types

t()

## Functions

at_least_one_policy_expression(policies)
fetch_fact(facts, arg2)
fetch_or_strict_check_fact(authorizer, arg2)
solve(authorizer)

# Types

# t()

    @type t() :: %Ash.Policy.Policy{
      access_type: term(),
      bypass?: term(),
      condition: term(),
      description: term(),
      policies: term()
    }

# Functions

# at_least_one_policy_expression(policies)

# fetch_fact(facts, arg2)

# fetch_or_strict_check_fact(authorizer, arg2)

# solve(authorizer)